#version 120
attribute vec4 tangent;
attribute vec3 bitangent;

varying vec4 pos;
varying vec3 lnor, ltan, ltan2;

uniform float time;

void main(){
    lnor = normalize(gl_NormalMatrix * gl_Normal);
    ltan = normalize(gl_NormalMatrix * tangent.xyz);
    ltan2 = normalize(gl_NormalMatrix * bitangent);

    gl_TexCoord[0] = gl_Vertex;
//    viewspace_pos = gl_ModelViewMatrix * gl_Vertex;
//    viewspace_normal = gl_NormalMatrix * gl_Normal;
    pos = gl_ModelViewMatrix * gl_Vertex;
    gl_Position = gl_ProjectionMatrix * pos;
}
